# Copyright (C) 2021 Associated Universities, Inc. Washington DC, USA.
#
# This file is part of NRAO Workspaces.
#
# Workspaces is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# Workspaces is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with Workspaces.  If not, see <https://www.gnu.org/licenses/>.
"""add unique constraint notification_templates.name

Revision ID: 5f420090f5b6
Revises: 258d71a32328
Create Date: 2022-02-10 14:28:56.273706

"""
from alembic import op

# revision identifiers, used by Alembic.
revision = "5f420090f5b6"
down_revision = "258d71a32328"
branch_labels = None
depends_on = None


def upgrade():
    op.execute("alter table notification_templates add constraint nt_name_unique unique(name)")


def downgrade():
    op.execute("alter table notification_templates drop constraint nt_name_unique")
